BizKitHub
DocsAPI ReferenceExpense/bff/expense/attachment-add
postExpenseAdmin BFF

/bff/expense/attachment-add

Attach a blob to an expense

ExpensepostBffExpenseAttachment-add

Parameters

JSON body

Request body

application/json
externalIdstringRequired
Length: 2424
blobTokenstringRequired
kindstringOptional
Length: 016
labelstringOptional
Length: 0200

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true
attachmentIdnumberRequired
blobIdnumberRequired

Response example

application/json
{
  "success": true,
  "attachmentId": 0,
  "blobId": 0
}

Request example

POST /bff/expense/attachment-add

post
curl -X POST "https://api.bizkithub.com/bff/expense/attachment-add" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "externalId": "example_externalId",
  "blobToken": "example_blobToken",
  "kind": "example_kind",
  "label": "example_label"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key